> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Explore contracts with Boosts

> Find information on contracts used to interact with Boosts, as well as total claims, total USD claimed, address, and chain ID



## OpenAPI

````yaml https://api-v2.boost.xyz/openapi.json get /explore/contracts
openapi: 3.1.0
info:
  title: Boost V2 API
  description: Get Boosts and sign claims for the Boost Validator
  termsOfService: https://rabbithole-assets.s3.amazonaws.com/BoostStudios_Terms_Of_Service.pdf
  contact:
    url: https://airtable.com/appPys6nAx8smVpTA/shrqpPGsDx2W6oY24
    email: support@boost.xyz
  version: 2.0.0
servers:
  - url: https://api-v2.boost.xyz
    description: Boost V2
security: []
paths:
  /explore/contracts:
    get:
      tags:
        - Contract
      summary: Explore contracts with Boosts
      description: >-
        Find information on contracts used to interact with Boosts, as well as
        total claims, total USD claimed, address, and chain ID
      operationId: exploreContracts
      parameters:
        - schema:
            type:
              - integer
              - 'null'
            minimum: 0
            default: 1
            description: The desired page to return from the query
          required: false
          in: query
          name: page
        - schema:
            type:
              - integer
              - 'null'
            minimum: 0
            maximum: 100
            default: 10
            description: >-
              The amount of items to return from the query, defaults to 10, and
              must be <= 100
          required: false
          in: query
          name: pageSize
        - schema:
            type: string
            enum:
              - most-completions
              - total-spend
              - recently-deployed
            description: >-
              Sort by most total completions, total budget, or recent Boost
              creations
            example: most-completions
          required: true
          in: query
          name: sortBy
        - schema:
            type: string
            enum:
              - 6h
              - 24h
              - 7d
            default: 7d
            description: The time range to filter by
            example: 7d
          required: false
          in: query
          name: timePeriod
        - schema:
            description: A comma separated list of chain IDs for Boost actions to filter by
            example: 8453,10
          required: false
          in: query
          name: actionChainIds
        - schema:
            type: string
            description: Filter by Boosts created by a specific user address
            example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
            pattern: ^0x[a-fA-F0-9]{40}$
          required: false
          in: query
          name: userAddress
      responses:
        '200':
          description: Returns a list of smart contracts known to the Boost system
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    chainId:
                      type: number
                      description: The chain ID of the smart contract
                      example: 8453
                    address:
                      type: string
                      description: The address of the smart contract
                      example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                      pattern: ^0x[a-fA-F0-9]{40}$
                    name:
                      type: string
                      description: A human readable name for the smart contract
                      example: Zora
                    stats:
                      type: object
                      properties:
                        boostCount:
                          type: number
                          description: >-
                            The number of Boosts configured with this smart
                            contract
                        totalClaims:
                          type: number
                          description: >-
                            The total number of claims made with this smart
                            contract
                        totalAmountClaimedUsd:
                          type: number
                          description: >-
                            The total amount of USD distributed by Boosts
                            configured with this smart contract
                      required:
                        - boostCount
                        - totalClaims
                        - totalAmountClaimedUsd
                  required:
                    - chainId
                    - address
                    - name
                    - stats
                  description: >-
                    An object containing details about a smart contract used in
                    Boosts known to the system

````